Unit UTZF10_p;
interface
uses
SysUtils, Math, { Delphi }
LStruct, Lfunc, UtDiag_p;

function UTZF10(IERR :Integer; N :Integer): String; 
implementation

function UTZF10(IERR :Integer; N :Integer): String;
var
I :Integer;
label
_1,_10,_15,_11,_12,_13,_30,_306,_302,_303,_120,_130,_133,_140,_143,
_144,_150,_160,_170,_180,_182,_183,_184,_200,_210,_212,_310;
begin
{  UTZF10     NAL_DIAG.res }
Result := '';  {   }
if ( IERR <= 3 )
 then goto _1;
I := IERR-64;
_1:
if ( N = 10 ) 
 then goto _10;
if ( N = 11 ) 
 then goto _13;
if ( N = 12 ) 
 then goto _120;
if ( N = 13 )
 then goto _130;
if ( N = 14 )
 then goto _140;
if ( N = 15 )
 then goto _150;
if ( N = 16 )
 then goto _160;
if ( N = 17 )
 then goto _170;
if ( N = 18 )
 then goto _180;
if ( N = 20 ) 
 then goto _200;
if ( N = 21 ) 
 then goto _210;
if ( N = 30 ) 
 then goto _30;
if ( N = 31 ) 
 then goto _310;
UtDiag(Result,IERR);
exit;
_10:
Result := Result + Format('%s',
[' OTEKA HB MY,OPOPAMMA ZF10R:ATAHA OKA']) + #$0D#$0A; 
_15:
case I of
 1: goto _11;
 2: goto _12;
end;
_11:
Result := Result + Format('%s',
[' N 1 - H YHK HE MOET T OCTAH P AAHHOM'+#$0D#$0A+
'       MAKCMAHOM CE TEPA']) + #$0D#$0A; 
UtDiag(Result,IERR);
exit;
_12:
Result := Result + Format('%s',
[' N 2 - YHK HE MEHET HAKA HA AAHHOM HTEPBAE']) + #$0D#$0A; 
UtDiag(Result,IERR);
exit;
_13:
Result := Result + Format('%s',
[' OTEKA HB MY,OPOPAMMA ZF11R:ATAHA OKA']) + #$0D#$0A; 
goto _15;
_30:
Result := Result + Format('%s',
[' OTEKA HB MY,OPOPAMMA ZF30R:ATAHA OKA']) + #$0D#$0A; 
_306:
case I of
 1: goto _302;
 2: goto _303;
end;
_302:
Result := Result + Format('%s',
[' N 1 - KOPH CCTEM HE MOYT T HAEH B PEEAX '+#$0D#$0A+
'       AAHHOO CA TEPA']) + #$0D#$0A; 
UtDiag(Result,IERR);
exit;
_303:
Result := Result + Format('%s',
[' N 2 - KOAH AAHHO CCTEM MEET OCOEHHOCT']) + #$0D#$0A; 
UtDiag(Result,IERR);
exit;
_120:
Result := Result + Format('%s',
[' OTEKA HB MY, OPOPAMMA ZF12C:HEATAHA OKA']) + #$0D#$0A; 
Result := Result + Format('%s',
[' N 1 - CXOMOCT HAPYEHA B PEEAX AAHHOO CA TEPA' + #$0D#$0A
+ '       P HAXOEH O KPAHE MEPE OHOO HOBOO KOPH']) + #$0D#$0A; 
UtDiag(Result,IERR);
exit;
_130:
Result := Result + Format('%s',
[' OTEKA HB MY, OPOPAMMA ZF13R:HEATAHA OKA']) + #$0D#$0A; 
_133:
Result := Result + Format('%s',
[' N 1 - CXOMOCT HE OCTHYTA B PEEAX AAHHOO CA TEPA'
+ #$0D#$0A +
'       O KPAHE MEP  OHOO KOPH. HAEH COOTBETCTBYX'
+ #$0D#$0A + '       KOPHE OOEH PABHM 3.4E38']) + #$0D#$0A; 
UtDiag(Result,IERR);
exit;
_140:
Result := Result + Format('%s',
[' OTEKA HB MY,OPOPAMMA ZF14R:ATAHA OKA']) + #$0D#$0A; 
case IERR of
 1: goto _133;
 2: goto _143;
 3: goto _144;
end;
_143:
Result := Result + Format('%s',
[' N 2 - HAEH OHOO  HECKOKX KOPHE HE  HAEH,' + #$0D#$0A
+ '       OCKOKY POBOHA AAHHO YHK CTAA CKOM MAO.'
+ #$0D#$0A + '       HAEH COOTBETCTBYX KOPHE OOEH PABHM 3.4E38'])
+ #$0D#$0A; 
UtDiag(Result,IERR);
exit;
_144:
Result := Result + Format('%s',
[' N 3 - HAEH HECKOKX KOPHE HE  HAEH, OCKOKY O'
+ #$0D#$0A +
'       CXOMOCT HE A OCTHYTA B PEEAX AAHHOO CA' + #$0D#$0A
+ '       TEPA,O POBOHA AAHHO YHK CTAA CKOM MAO.'
+ #$0D#$0A + '       HAEH COOTBETCTBYX KOPHE OOEH PABHM 3.4E38'
+ #$0D#$0A + '       B EPBOM CYAE  - 3.4E38 - BO BTOPOM.']) + #$0D#$0A; 
UtDiag(Result,IERR);
exit;
_150:
Result := Result + Format('%s',
[' OTEKA HB MY,OPOPAMMA ZF15R:ATAHA OKA']) + #$0D#$0A; 
goto _15;
_160:
Result := Result + Format('%s',
['   , ZF16R: ']) + #$0D#$0A; 
goto _15;
_170:
Result := Result + Format('%s',
['   , ZF17R; ']) + #$0D#$0A;
goto _15;
_180:
Result := Result + Format('%s',
['   , ZF18R; ']) + #$0D#$0A; 
goto _182;
_182:
case I of
 1: goto _183;
 2: goto _184;
end;
_183:
Result := Result + Format('%s',
[' N 1 -    ']) + #$0D#$0A;
UtDiag(Result,IERR);
exit;
_184:
Result := Result + Format('%s',
[' N 2 -       ']) + #$0D#$0A;
UtDiag(Result,IERR);
exit;
_200:
Result := Result + Format('%s',
['   , ZF20R: ']) + #$0D#$0A;
goto _15;
_210:
Result := Result + Format('%s',
['   , ZF21R: ']) + #$0D#$0A;
case I of
 1: goto _11;
 2: goto _212;
end;
_212:
Result := Result + Format('%s',
[' N 2 -      ']) + #$0D#$0A; 
UtDiag(Result,IERR);
exit;
_310:
Result := Result + Format('%s',
['   , ZF31R: ']) + #$0D#$0A;
goto _306;
UtDiag(Result,IERR);
end;

end.
